Last Comment Bug 889352 - Remote debugging doesn't work if any tabs have no title
: Remote debugging doesn't work if any tabs have no title
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: unspecified
: All All
: -- normal (vote)
: seamonkey2.22
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
https://addons.mozilla.org/en-US/seam...
Depends on:
Blocks: 890348
  Show dependency treegraph
 
Reported: 2013-07-02 06:54 PDT by neil@parkwaycc.co.uk
Modified: 2013-07-22 11:49 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
wontfix
fixed
fixed
fixed


Attachments
Proposed patch (2.93 KB, patch)
2013-07-02 06:58 PDT, neil@parkwaycc.co.uk
philip.chee: review+
iann_bugzilla: approval‑comm‑aurora+
iann_bugzilla: approval‑comm‑beta+
Details | Diff | Review

Description neil@parkwaycc.co.uk 2013-07-02 06:54:51 PDT
If a tab has no title then the debugger server falls back on asking the tabbrowser for the tab's title. However to do this it tries to call the _getTabForContentWindow function. If this does not exist then the debugging session fails. (I don't know whether the browser remains stable.)

Steps to reproduce problem:
1. Enable devtools.debugger.remote-enabled in about:config 
2. Install the debugger server enabler
3. Attempt to connect Firefox

Expected result: List of tabs is displayed

Actual result: Connection hangs
Comment 1 neil@parkwaycc.co.uk 2013-07-02 06:58:44 PDT
Created attachment 770166 [details] [diff] [review]
Proposed patch

While I was there I converted two handlers to use the method (which is a neatness improvement on the existing code).
Comment 2 Philip Chee 2013-07-04 06:31:43 PDT
Comment on attachment 770166 [details] [diff] [review]
Proposed patch

>            const browsers = this.browsers;
>            if (browsers.length == 1)
>              return;
There is only one use of browsers so you might want to inline it e.g.
if (this.browsers.length == 1)
Comment 3 neil@parkwaycc.co.uk 2013-07-10 13:54:41 PDT
Pushed comm-central changeset a6ac2d95f62d.
Comment 4 neil@parkwaycc.co.uk 2013-07-10 14:22:55 PDT
Comment on attachment 770166 [details] [diff] [review]
Proposed patch

[Approval Request Comment]
Regression caused by (bug #): 802081
User impact if declined: Can't debug when tabs have empty titles
Risk to taking this patch (and alternatives if risky): Low
String changes made by this patch: None
Comment 5 neil@parkwaycc.co.uk 2013-07-21 14:56:24 PDT
http://hg.mozilla.org/releases/comm-aurora/rev/8976b7efb6c7
Comment 6 Justin Wood (:Callek) 2013-07-21 21:17:12 PDT
Comment on attachment 770166 [details] [diff] [review]
Proposed patch

Review of attachment 770166 [details] [diff] [review]:
-----------------------------------------------------------------

a-CLOSED_TREE=me
Comment 7 neil@parkwaycc.co.uk 2013-07-22 11:49:08 PDT
http://hg.mozilla.org/releases/comm-beta/rev/d4c1227b1eea

Note You need to log in before you can comment on or make changes to this bug.